# 32/64bit spec-file
#
%define version   1.8.6
%define release   %mkrel 2

%define anthy_version      9100h
%define m17n_lib_version   1.6.0

%define uim_major 6
%define libname_orig lib%{name}
%define libname %mklibname %{name} %uim_major
%define develname %mklibname -d %{name}

%define custom_major 2
%define libcustom_orig libuim-custom
%define libcustom %mklibname uim-custom %custom_major

%define gcroots_major 0
%define libgcroots_orig libgcroots
%define libgcroots %mklibname gcroots %gcroots_major

%define scm_major 0
%define libscm %mklibname uim-scm %scm_major


Name:      uim
Summary:   Uim is a multilingual input method library
Summary(ja):  uim - 入力メソッドライブラリ
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   BSD and LGPLv2+ and (BSD or LGPLv2)
URL:       http://code.google.com/p/uim/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:   http://uim.googlecode.com/files/uim-%{version}.tar.xz
Source10:  uim.desktop
BuildRequires:   gtk+2-devel >= 2.4.0
BuildRequires:   libgnome2-devel gnomeui2-devel
BuildRequires:	 %{_lib}glade2.0_0-devel
BuildRequires:   m17n-lib-devel >= %{m17n_lib_version}
BuildRequires:   m17n-db
BuildRequires:   anthy-devel >= %{anthy_version}
BuildRequires:   intltool libtool
BuildRequires:   libncurses-devel automake qt4-devel ed
BuildRequires:	 libpixman-devel
BuildRequires:   libx11-devel
BuildRequires:   libxau-devel
BuildRequires:   libxdmcp-devel
BuildRequires:   libxrender-devel
Requires:        anthy >= %{anthy_version}
Requires:        m17n-lib >= %{m17n_lib_version}
Requires:        skkdic setime
Requires(post):   %_bindir/gtk-query-immodules-2.0
Requires(postun): %_bindir/gtk-query-immodules-2.0

Obsoletes:  %{name} < %{version}-%{release}
Obsoletes:  uim-anthy
Obsoletes:  uim-m17nlib
Obsoletes:  uim-prime
Obsoletes:  uim-skk < %{version}
Obsoletes:  libuim1
Obsoletes:  libuim6
Obsoletes:  uim-gtk
Obsoletes:  uim-qt
Obsoletes:  uim-qtimmodule

Provides:  uim-anthy
Provides:  uim-applet-gtk
Provides:  uim-applet
Provides:  libuim
#Provides:  uim-skk
#Provides:  uim-prime
#Provides:  uim-m17nlib
Provides:  uim-gtk


%description
Uim is a multilingual input method library. Uim's project goal is 
to provide secure and useful input method for all languages.

%description -l ja
uim は様々な言語の入力メソッドのライブラリーです。

【注意】この野良パッケージでは、canna, prime, mana, m17nlib はサポートしていません。


%package   qt4
Summary:  KDE4 helper for uim
Summary(ja):  uim の Qt4/KDE4 ヘルパー
Group:    System/Internationalization
BuildRequires:  kdelibs-devel >= 4.8.3
BuildRequires:  libqt4-devel >= 4.7.1
Requires:  %{name} = %{version}-%{release}
Requires:  qt4-common >= 4.7.1
Provides:  uim-qt
Provides:  uim-qtimmodule
Provides:  uim-qt4immodule

%description qt4
KDE4 helper for uim. It contains some apps like toolbar,KDE4 panel applet, candidate window for Uim library, plugin for using UIM on qt4.

%description -l ja qt4
このパッケージには、KDE4用のパネルアプレットや設定ツール、Qt4アプリケーションでuimを使うためのプラグイン、などが含まれています。

# --------------------------------------------------------------


%package devel
Summary:    Headers of uim for development
Summary(ja):  uim を使ったアプリケーションを開発するためのファイル
Group:      Development/C
Requires:  %{name} = %{version}-%{release}
Provides:  %{name}-devel = %{version}
Provides:  libuim-devel = %{version}
Provides:  libuim6-devel = %{version}
Obsoletes: libuim1-devel
Obsoletes: libuim6-devel


%description devel
Headers of %{name} for development.

%description -l ja devel
このパッケージには uim を利用したアプリケーションを開発するためのヘッダファイルとライブラリが含まれています。

# --------------------------------------------------------------
%package skk
Summary:  SKK support for Uim
Summary(ja):  uim の SKK モジュール
Group:    System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: skkdic
Requires(post):  %{name} = %{version}
Requires(preun): %{name} = %{version}

%description skk
This package provides support for SKK, a Japanese input method.

%description -l ja skk
uim 上で SKK 入力方式を使って日本語を入力するためのモジュールです。


# --------------------------------------------------------------

%package gtk3
Summary:  gtk3 support for Uim
Summary(ja):  uim の gtk3 用モジュール
Group:    System Environment/Libraries
BuildRequires:  libgtk+3-devel
Requires: %{name} = %{version}-%{release}
Requires(post):	  gtk+3.0
Requires(postun):	gtk+3.0

%description gtk3
This package contains uim im-module for gtk3.

%description -l ja gtk3
uim の gtk3 用のモジュールです。


# --------------------------------------------------------------

%prep
%setup -q

%build
./autogen.sh
export QMAKE4=%{qt4bin}/qmake
%configure2_5x \
 --with-anthy-utf8 \
 --without-anthy \
 --without-m17nlib \
 --without-mana \
 --without-prime \
 --with-qt4 \
 --with-qt4-immodule \
 --with-curl \
 --disable-kde-applet \
 --enable-kde4-applet \
 --disable-gnome-applet \
 --disable-gnome3-applet \
 --enable-dict \
 --enable-openssl

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %{buildroot} -name *.la | xargs rm
rm -rf %{buildroot}%{_datadir}/doc/sigscheme
## install desktop entry
cp -f %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/applications/

## remove unnecessary files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/immodules/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/3.0.0/immodules/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}
rm -f $RPM_BUILD_ROOT%{_datadir}/uim/scim.scm
rm -f $RPM_BUILD_ROOT%{_datadir}/uim/m17nlib.scm
rm -f $RPM_BUILD_ROOT%{_datadir}/uim/prime.scm
rm -f $RPM_BUILD_ROOT%{_datadir}/uim/prime-*.scm
rm -f $RPM_BUILD_ROOT%{_libdir}/uim/plugin/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_datadir}/uim/pixmaps/scim.*
rm -f $RPM_BUILD_ROOT%{_datadir}/uim/pixmaps/prime*.*
rm -f $RPM_BUILD_ROOT%{_libdir}/uim/plugin/libuim-canna.so
rm -f $RPM_BUILD_ROOT%{_datadir}/uim/canna*.scm
rm -f $RPM_BUILD_ROOT%{_datadir}/uim/pixmaps/canna.*
rm -f $RPM_BUILD_ROOT%{_libdir}/uim/plugin/libuim-mana.so
rm -f $RPM_BUILD_ROOT%{_datadir}/uim/mana.scm
rm -f $RPM_BUILD_ROOT%{_datadir}/uim/mana-*.scm
rm -f $RPM_BUILD_ROOT%{_datadir}/uim/pixmaps/mana.*

## remove docs for sigscheme (they should be installed by %doc)
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/sigscheme

%find_lang %{name}
touch uim-chardict-qt.lang


%clean
rm -rf $RPM_BUILD_ROOT

%post skk
%{_bindir}/uim-module-manager --register skk > /dev/null 2>&1

%preun skk
if [ $1 = 0 ] ; then
%{_bindir}/uim-module-manager --unregister skk > /dev/null 2>&1
fi

%post gtk3
gtk-query-immodules-3.0-%{__isa_bits} > %{_sysconfdir}/gtk-3.0/gtk.immodules.%{_lib}

%postun gtk3
if [ $1 = 0 ]; then
gtk-query-immodules-3.0-%{__isa_bits} > %{_sysconfdir}/gtk-3.0/gtk.immodules.%{_lib}
fi


%post
%update_desktop_database
gtk-query-immodules-2.0 --update-cache
##
rpm -q --quiet uim-mozc && UIM_MOZC=true
if [ "$UIM_MOZC" = "true" ]; then
%{_bindir}/uim-module-manager --register mozc > /dev/null 2>&1
fi

%postun
%clean_desktop_database
if [ $1 = 0 ]; then
#gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%{_lib}
gtk-query-immodules-2.0 --update-cache
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README* ChangeLog* INSTALL*
%{_bindir}/uim-el*-agent
%{_bindir}/uim-fep*
%{_bindir}/uim-module-manager
%{_bindir}/uim-sh
%{_bindir}/uim-xim
%{_bindir}/uim-help
%{_bindir}/uim-dict-gtk
%{_bindir}/uim-im-switcher-gtk
%{_bindir}/uim-input-pad-ja
%{_bindir}/uim-pref-gtk
%{_bindir}/uim-toolbar-gtk
%{_bindir}/uim-toolbar-gtk-systray
%{_datadir}/applications/uim.desktop
%{_datadir}/emacs/site-lisp/uim-el/*.el
%{_datadir}/man/man1/*
%{_datadir}/uim/*.scm
%exclude %{_datadir}/uim/skk*.scm
%{_datadir}/uim/lib/*.scm
%{_datadir}/uim/helperdata/*
%{_datadir}/uim/pixmaps/*
%exclude %{_datadir}/uim/pixmaps/skk.*
%{_datadir}/uim/tables/*.table
%{_datadir}/uim/byeoru-data/byeoru-dict
%{_libdir}/uim-candwin-gtk
%{_libdir}/uim-candwin-horizontal-gtk
%{_libdir}/uim-candwin-tbl-gtk
%{_libdir}/gtk-2.0/*/immodules/im-uim.so
%{_libdir}/lib*.so.*
%{_libdir}/uim-helper-server
%{_libdir}/uim/plugin/libuim-*.so
%exclude %{_libdir}/uim/plugin/libuim-skk.so

%files qt4 -f uim-chardict-qt.lang
%defattr(-,root,root)
%{_bindir}/uim-chardict-qt4
%{_bindir}/uim-im-switcher-qt4
%{_bindir}/uim-pref-qt4
%{_bindir}/uim-toolbar-qt4
%{_libdir}/uim-candwin-qt4
%{qt4plugins}/inputmethods/libuiminputcontextplugin.so
%{_libdir}/kde4/plasma_applet_uim.so
%{_datadir}/kde4/services/plasma-applet-uim.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files skk
%defattr(-,root,root)
%{_libdir}/uim/plugin/libuim-skk.so
%{_datadir}/uim/skk*.scm
%{_datadir}/uim/pixmaps/skk.*

%files gtk3
%defattr(-,root,root)
%{_bindir}/uim-dict-gtk3
%{_bindir}/uim-im-switcher-gtk3
%{_bindir}/uim-input-pad-ja-gtk3
%{_bindir}/uim-pref-gtk3
%{_bindir}/uim-toolbar-gtk3
%{_bindir}/uim-toolbar-gtk3-systray
%{_libdir}/gtk-3.0/3.0.0/immodules/im-uim.so
%{_libdir}/uim-candwin-gtk3
%{_libdir}/uim-candwin-horizontal-gtk3
%{_libdir}/uim-candwin-tbl-gtk3

%changelog
* Mon Nov 18 2013 billybot <billybot< 1.8.6-2pclos2013
- remove from postscripts qt4 -p /sbin/ldconfig because it
- does not exist

* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 1.8.6-1pclos2013
- 1.8.6 plus tomcat
- removed qt3 stuff

* Tue Sep 10 2013 pinoc <vogtpet at gmail.com> 1.5.7-3pclos2013
- removed BR gnome-panel

* Mon Feb 04 2013 pinoc <vogtpet at gmail.com> 1.5.7-2pclos2013
- rebuild on 64

* Wed May 12 2010 Texstar <texstar at gmail.com> 1.5.7-1pclos2010
- update for 2010 release

